; Assisted Bed Leveling
; by alfrank / drucktipps3d.de

; performs 5 cycles of 
; going to each corner and the center
; waiting at each point for 15 seconds
; to allow manual bed height adjustments
; by using the four thumbscrews

; you can adjust it to your bed size (default is 220 mm * 220 mm)
; by changing the following values at each occurrence in the code below
; just do a search & replace for each string after the colon ":"
; Front Left Corner: X30 Y30
; Front Right Corner: X220 Y30
; Rear Left Corner: X30 Y220
; Rear Right Corner: X220 Y220
; Center: X125 Y125

; CAUTION - BED & NOZZLE ARE HOT !!!

G21 ; set units to millimeters
G90 ; absolute positioning
M107 ; turn all fans off
M140 S50 ; set bed temperature
M104 S230 ; set hotend temperature
G28 X Y ; home X and Y axis
G28 Z ; home Z axis
M220 S50 ; wait for bed temperature
M109 S230 ; wait for hotend temperature


; Cycle 1 of 5

;Go to Position 1 - Front Left Corner
G1 Z10 F500
G1 X30 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 2 - Front Right Corner
G1 Z10 F500
G1 X220 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 3 - Rear Right Corner
G1 Z10 F500
G1 X220 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 4 - Rear Left Corner
G1 Z10 F500
G1 X30 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 5 - Center
G1 Z10 F500
G1 X125 Y125 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds


; Cycle 2 of 5

;Go to Position 1 - Front Left Corner
G1 Z10 F500
G1 X30 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 2 - Front Right Corner
G1 Z10 F500
G1 X220 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 3 - Rear Right Corner
G1 Z10 F500
G1 X220 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 4 - Rear Left Corner
G1 Z10 F500
G1 X30 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 5 - Center
G1 Z10 F500
G1 X125 Y125 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds


; Cycle 3 of 5

;Go to Position 1 - Front Left Corner
G1 Z10 F500
G1 X30 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 2 - Front Right Corner
G1 Z10 F500
G1 X220 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 3 - Rear Right Corner
G1 Z10 F500
G1 X220 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 4 - Rear Left Corner
G1 Z10 F500
G1 X30 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 5 - Center
G1 Z10 F500
G1 X125 Y125 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds


; Cycle 4 of 5

;Go to Position 1 - Front Left Corner
G1 Z10 F500
G1 X30 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 2 - Front Right Corner
G1 Z10 F500
G1 X220 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 3 - Rear Right Corner
G1 Z10 F500
G1 X220 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 4 - Rear Left Corner
G1 Z10 F500
G1 X30 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 5 - Center
G1 Z10 F500
G1 X125 Y125 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds


; Cycle 5 of 5

;Go to Position 1 - Front Left Corner
G1 Z10 F500
G1 X30 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 2 - Front Right Corner
G1 Z10 F500
G1 X220 Y30 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 3 - Rear Right Corner
G1 Z10 F500
G1 X220 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 4 - Rear Left Corner
G1 Z10 F500
G1 X30 Y220 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

;Go to Position 5 - Center
G1 Z10 F500
G1 X125 Y125 F3600
G1 Z0 F500
M400
M300 S880 P750 ;  beep at 880 Hz (A5) for 0.75 seconds
G4 P15000 ; pause 15 seconds

G28 ; home all axis
M104 S0 ; turn off nozzle heating
M140 S0 ; turn off bed heating
M82 ; disable stepper motors
